gnome-sharp 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Container System.Obsolete Widget for sequentially stepping through some pages.

The druid is a multi-page widget, which lets the developer guide the user through a complex operation by breaking it up into simple steps, showing some helpful text in the process. It is composed of several s.

The widget which ultimately holds all of the druid's pages and information. This is the widget which the application developer then places inside an outer widget, such as a dialog box for ultimate display.

- Constructor
  2.24.0.0
  Creates a new GnomeDruid widget.
  You need to add this druid to a dialog yourself, it is not a dialog.
- Constructor
  2.24.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.24.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.24.0.0
  a
  a
  To be added
  To be added
- Constructor
  2.24.0.0
  a
  a
  a
  To be added
  To be added
- Constructor
  2.24.0.0
  a
  a
  a
  To be added
  To be added
- Constructor
  2.24.0.0
  a
  a
  a
  a
  To be added
  To be added
- Method
  2.24.0.0
  System.Void `` The to be appended. This will append a onto the end of the internal list.

  Since is just a container, you will need to also call Show() on the page, otherwise the page will not be shown.

- Property
  2.24.0.0
  Gtk.Button The druid's "Back" button. a
- Event
  2.24.0.0
  GLib.Signal("cancel")
  System.EventHandler Emitted when the "Cancel" button of the druid is clicked.
- Property
  2.24.0.0
  Gtk.Button The druid's "Cancel" button. a
- Method
  2.24.0.0
  Gtk.Widget `` `` `` a a a Creates a new toplevel window with the title of (which can be ) and a parent of (which also can be ). a The druid will be placed inside this window. The window and the druid will both be shown. When the druid gets destroyed, so will the window that is created here.
- Property
  2.24.0.0
  Gtk.Button The druid's "Finish" button. a
- Property
  2.24.0.0
  GLib.GType GType Property. a Returns the native value for .
- Event
  2.24.0.0
  GLib.Signal("help")
  System.EventHandler Used to specify if the "Help" button on the druid is visible. If set to true, the "Help" button is shown in the lower left corner of the widget.
- Property
  2.24.0.0
  Gtk.Button The druid's "Help" button. a
- Method
  2.24.0.0
  System.Void `` `` The prior to the page to be inserted. The to insert. This will insert a page after back_page into the list of internal pages that the druid has.

  If back_page is not present in the list or null, page will be prepended to the list.

  Since is just a container, you will need to also call Show() on the page, otherwise the page will not be shown.

- Property
  2.24.0.0
  Gtk.Button The druid's "Next" button. a
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideCancel", Type=typeof(Gnome.Druid))
  System.Void Run when the druid is canceled. Override this method if you want to add non-standard behaviour to occur when the druid is canceled
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideHelp", Type=typeof(Gnome.Druid))
  System.Void Run when the user requests help from the druid's interface. Override this method to offer some help to the user when requested.
- Property
  2.24.0.0
  Gnome.DruidPage This will make the currently showing page in the druid. an object of type must already be in the druid.
- Method
  2.24.0.0
  System.Void `` The page to be inserted.

  This will prepend a into the internal list of pages that the druid has.

  Since is just a container, you will need to also call Show() on the page, otherwise the page will not be shown.
- Method
  2.24.0.0
  System.Void `` `` `` `` true if the back button is sensitive. true if the next button is sensitive. true if the cancel button is sensitive. true if the help button is sensitive. Sets the sensitivity of druid's control-buttons. If the variables are true, then the buttons will be clickable. This function is used primarily by the actual GnomeDruidPage widgets.
- Property
  2.24.0.0
  GLib.Property("show_finish")
  System.Boolean

  This will make the given the currently showing page in the druid.

  an object of type

  The page must already be in the druid.

- Property
  2.24.0.0
  GLib.Property("show_help")
  System.Boolean Used to specify if the druid is currently showing the last page of the sequence. an object of type If set to true, the druid will display "Finish", rather than "Next".